# wxRect2DDouble Class Reference

`#include <wx/geometry.h>`

## Public Member Functions
| wxRect2DDouble ()
| wxRect2DDouble (wxDouble x, wxDouble y, wxDouble w, wxDouble h)
wxPoint2DDouble | GetPosition ()
wxSize | GetSize ()
wxDouble | GetLeft () const
void | SetLeft (wxDouble n)
void | MoveLeftTo (wxDouble n)
wxDouble | GetTop () const
void | SetTop (wxDouble n)
void | MoveTopTo (wxDouble n)
wxDouble | GetBottom () const
void | SetBottom (wxDouble n)
void | MoveBottomTo (wxDouble n)
wxDouble | GetRight () const
void | SetRight (wxDouble n)
void | MoveRightTo (wxDouble n)
wxPoint2DDouble | GetLeftTop () const
void | SetLeftTop (const wxPoint2DDouble &pt)
void | MoveLeftTopTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetLeftBottom () const
void | SetLeftBottom (const wxPoint2DDouble &pt)
void | MoveLeftBottomTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetRightTop () const
void | SetRightTop (const wxPoint2DDouble &pt)
void | MoveRightTopTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetRightBottom () const
void | SetRightBottom (const wxPoint2DDouble &pt)
void | MoveRightBottomTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetCentre () const
void | SetCentre (const wxPoint2DDouble &pt)
void | MoveCentreTo (const wxPoint2DDouble &pt)
wxOutCode | GetOutCode (const wxPoint2DDouble &pt) const
wxOutCode | GetOutcode (const wxPoint2DDouble &pt) const
bool | Contains (const wxPoint2DDouble &pt) const
bool | Contains (const wxRect2DDouble &rect) const
bool | IsEmpty () const
bool | HaveEqualSize (const wxRect2DDouble &rect) const
void | Inset (wxDouble x, wxDouble y)
void | Inset (wxDouble left, wxDouble top, wxDouble right, wxDouble bottom)
void | Offset (const wxPoint2DDouble &pt)
void | ConstrainTo (const wxRect2DDouble &rect)
wxPoint2DDouble | Interpolate (wxInt32 widthfactor, wxInt32 heightfactor)
void | Intersect (const wxRect2DDouble &otherRect)
wxRect2DDouble | CreateIntersection (const wxRect2DDouble &otherRect) const
bool | Intersects (const wxRect2DDouble &rect) const
void | Union (const wxRect2DDouble &otherRect)
void | Union (const wxPoint2DDouble &pt)
wxRect2DDouble | CreateUnion (const wxRect2DDouble &otherRect) const
void | Scale (wxDouble f)
void | Scale (wxInt32 num, wxInt32 denum)
wxRect2DDouble & | operator= (const wxRect2DDouble &rect)
bool | operator== (const wxRect2DDouble &rect) const
bool | operator!= (const wxRect2DDouble &rect) const
## Static Public Member Functions
static void | Intersect (const wxRect2DDouble &src1, const wxRect2DDouble &src2, wxRect2DDouble *dest)
static void | Union (const wxRect2DDouble &src1, const wxRect2DDouble &src2, wxRect2DDouble *dest)
## Public Attributes
wxDouble | m_x
wxDouble | m_y
wxDouble | m_width
wxDouble | m_height

List of all members.

## Constructor & Destructor Documentation

wxRect2DDouble::wxRect2DDouble | ( |  | ) |

wxRect2DDouble::wxRect2DDouble | ( | wxDouble | x,
|  | wxDouble | y,
|  | wxDouble | w,
|  | wxDouble | h |
| ) |  |  |

## Member Function Documentation

void wxRect2DDouble::ConstrainTo | ( | const wxRect2DDouble & | rect | ) |

bool wxRect2DDouble::Contains | ( | const wxRect2DDouble & | rect | ) | const

bool wxRect2DDouble::Contains | ( | const wxPoint2DDouble & | pt | ) | const

wxRect2DDouble wxRect2DDouble::CreateIntersection | ( | const wxRect2DDouble & | otherRect | ) | const

wxRect2DDouble wxRect2DDouble::CreateUnion | ( | const wxRect2DDouble & | otherRect | ) | const

wxDouble wxRect2DDouble::GetBottom | ( |  | ) | const

wxPoint2DDouble wxRect2DDouble::GetCentre | ( |  | ) | const

wxDouble wxRect2DDouble::GetLeft | ( |  | ) | const

wxPoint2DDouble wxRect2DDouble::GetLeftBottom | ( |  | ) | const

wxPoint2DDouble wxRect2DDouble::GetLeftTop | ( |  | ) | const

wxOutCode wxRect2DDouble::GetOutcode | ( | const wxPoint2DDouble & | pt | ) | const

wxOutCode wxRect2DDouble::GetOutCode | ( | const wxPoint2DDouble & | pt | ) | const

wxPoint2DDouble wxRect2DDouble::GetPosition | ( |  | ) |

wxDouble wxRect2DDouble::GetRight | ( |  | ) | const

wxPoint2DDouble wxRect2DDouble::GetRightBottom | ( |  | ) | const

wxPoint2DDouble wxRect2DDouble::GetRightTop | ( |  | ) | const

wxSize wxRect2DDouble::GetSize | ( |  | ) |

wxDouble wxRect2DDouble::GetTop | ( |  | ) | const

bool wxRect2DDouble::HaveEqualSize | ( | const wxRect2DDouble & | rect | ) | const

void wxRect2DDouble::Inset | ( | wxDouble | left,
|  | wxDouble | top,
|  | wxDouble | right,
|  | wxDouble | bottom |
| ) |  |  |

void wxRect2DDouble::Inset | ( | wxDouble | x,
|  | wxDouble | y |
| ) |  |  |

wxPoint2DDouble wxRect2DDouble::Interpolate | ( | wxInt32 | widthfactor,
|  | wxInt32 | heightfactor |
| ) |  |  |

void wxRect2DDouble::Intersect | ( | const wxRect2DDouble & | otherRect | ) |

static void wxRect2DDouble::Intersect | ( | const wxRect2DDouble & | src1,
|  | const wxRect2DDouble & | src2,
|  | wxRect2DDouble * | dest |
| ) |  |  | `[static]`

bool wxRect2DDouble::Intersects | ( | const wxRect2DDouble & | rect | ) | const

bool wxRect2DDouble::IsEmpty | ( |  | ) | const

void wxRect2DDouble::MoveBottomTo | ( | wxDouble | n | ) |

void wxRect2DDouble::MoveCentreTo | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::MoveLeftBottomTo | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::MoveLeftTo | ( | wxDouble | n | ) |

void wxRect2DDouble::MoveLeftTopTo | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::MoveRightBottomTo | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::MoveRightTo | ( | wxDouble | n | ) |

void wxRect2DDouble::MoveRightTopTo | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::MoveTopTo | ( | wxDouble | n | ) |

void wxRect2DDouble::Offset | ( | const wxPoint2DDouble & | pt | ) |

bool wxRect2DDouble::operator!= | ( | const wxRect2DDouble & | rect | ) | const

wxRect2DDouble& wxRect2DDouble::operator= | ( | const wxRect2DDouble & | rect | ) |

bool wxRect2DDouble::operator== | ( | const wxRect2DDouble & | rect | ) | const

void wxRect2DDouble::Scale | ( | wxInt32 | num,
|  | wxInt32 | denum |
| ) |  |  |

void wxRect2DDouble::Scale | ( | wxDouble | f | ) |

void wxRect2DDouble::SetBottom | ( | wxDouble | n | ) |

void wxRect2DDouble::SetCentre | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::SetLeft | ( | wxDouble | n | ) |

void wxRect2DDouble::SetLeftBottom | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::SetLeftTop | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::SetRight | ( | wxDouble | n | ) |

void wxRect2DDouble::SetRightBottom | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::SetRightTop | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::SetTop | ( | wxDouble | n | ) |

void wxRect2DDouble::Union | ( | const wxPoint2DDouble & | pt | ) |

void wxRect2DDouble::Union | ( | const wxRect2DDouble & | otherRect | ) |

static void wxRect2DDouble::Union | ( | const wxRect2DDouble & | src1,
|  | const wxRect2DDouble & | src2,
|  | wxRect2DDouble * | dest |
| ) |  |  | `[static]`

## Member Data Documentation

wxDouble wxRect2DDouble::m_height

wxDouble wxRect2DDouble::m_width

wxDouble wxRect2DDouble::m_x

wxDouble wxRect2DDouble::m_y

|  | [ top ]